> For the complete documentation index, see [llms.txt](https://docs.gameket.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gameket.io/operations/products/delete-product.md).

# Delete Product

Delete a product from your store.

**Endpoint:**

```bash
DELETE /merchant/products?productId={productId}
```

**Headers:**

```bash
Authorization: Bearer {token}
x-merchant-api-key: {apiKey}
Idempotency-Key: {unique-key}
```

**Request:**

```bash
curl -X DELETE "https://api.gameket.io/merchant/products?productId=prod_xyz789" \
  -H "Authorization: Bearer {token}" \
  -H "x-merchant-api-key: {apiKey}" \
  -H "Idempotency-Key: delete-fifa-coins"
```

**Response (200 OK):**

```json
{
  "success": true,
  "data": {
    "message": "Product deleted successfully"
  }
}
```
